<?php

class m121014_171456_tbl_candidatos_idiomas extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_candidatos_idiomas', array(
            'id' => 'pk',
            'candidato_id' => 'integer NOT NULL',
            'idioma' => 'string NOT NULL',
            'conversacion' => 'string',
            'lectura_traduccion' => 'string',
        ), 'ENGINE=InnoDB CHARSET=utf8');

        $this->addForeignKey('fk_candidatos_idiomas_1', 'tbl_candidatos_idiomas', 'candidato_id', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
    }

    public function safeDown() {
        $this->dropForeignKey('fk_candidatos_idiomas_1', 'tbl_candidatos_idiomas');
        $this->dropTable('tbl_candidatos_idiomas');
    }

}

?>